




XYZ1 = Lxy2XYZ(TrainingMeasurementsQLED2);


XYZ2 = Lxy2XYZ(TrainingMeasurementsQLED3);




XYZn1 = 100 .*(XYZ1 ./ WhiteReference(1,2));

XYZn2 = 100 .*(XYZ2 ./ WhiteReference(1,2));



WhiteReferenceN = 100 .*(WhiteReference./WhiteReference(1,2));


LabComputed1 = xyz2lab(XYZn1,"WhitePoint",WhiteReferenceN); 


LabComputed2 = xyz2lab(XYZn2,"WhitePoint",WhiteReferenceN);


X = [];
N = length(LabComputed1);


for i = 1:N
    X(end+1) = deltaE00(LabComputed1(i,:), LabComputed2(i,:)); 
end

X = X';


 M = mean(X) % To find the average of visual error.
 SD = std(X)  % To find the standard deviation.


 count_X_less_than_one = sum( X <= 1)
 count_X_between_one_and_two = sum( X < 2 & X >= 1)
 count_X_bigger_than_one = sum( X > 2 )